import java.awt.*;
// import DialogLayout;


/* *****************************************************************************
*	Class:			UnderlinedButtonInstr
*	Purpose:		Button with underlined shortcutLetter
*******************************************************************************/

class UnderlinedButtonInstr extends Button  {
	
	public UnderlinedButtonInstr(String text)  {
		super(text);
	}
	
	public void setLabel(String label)  {
		super.setLabel(label);
	}
	
	public void paint(Graphics g) {
		
		super.paint(g);
		if (this.isEnabled())  {
				g.setColor(Color.black);
				if (this.getLabel() == "OK") g.drawLine(25,17,35,17);  				//g.fillRect(26,20,9,1);
		}
	}
}




public class IDD_INSTRUCTIONS
{
	Container    m_Parent       = null;
	boolean      m_fInitialized = false;
	DialogLayout m_Layout;

	// Control definitions
	//--------------------------------------------------------------------------
	Button        IDOK;
	Label         IDC_STATIC1;
	Label         IDC_STATIC2;
	Label         IDC_STATIC3;
	Label         IDC_STATIC4;
	Label         IDC_STATIC5;
	Label         IDC_STATIC6;
	Label         IDC_STATIC7;


	// Constructor
	//--------------------------------------------------------------------------
	public IDD_INSTRUCTIONS (Container parent)
	{
		m_Parent = parent;
	}

	// Initialization.
	//--------------------------------------------------------------------------
	public boolean CreateControls()
	{
		// Can only init controls once
		//----------------------------------------------------------------------
		if (m_fInitialized || m_Parent == null)
			return false;

		// Parent must be a derivation of the Container class
		//----------------------------------------------------------------------
		if (!(m_Parent instanceof Container))
			return false;

		// Since there is no way to know if a given font is supported from
		// platform to platform, we only change the size of the font, and not
		// type face name.  And, we only change the font if the dialog resource
		// specified a font.
		//----------------------------------------------------------------------
		Font OldFnt = m_Parent.getFont();
		
		if (OldFnt != null)
		{
			Font NewFnt = new Font(OldFnt.getName(), OldFnt.getStyle(), 14);

			m_Parent.setFont(NewFnt);
		}

		// All position and sizes are in Dialog Units, so, we use the
		// DialogLayout manager.
		//----------------------------------------------------------------------
		m_Layout = new DialogLayout(m_Parent, 210, 90);
		m_Parent.setLayout(m_Layout);
		m_Parent.addNotify();

		Dimension size   = m_Layout.getDialogSize();
		Insets    insets = m_Parent.insets();
		
		m_Parent.resize(insets.left + size.width  + insets.right,
                        insets.top  + size.height + insets.bottom);

		// Control creation
		//----------------------------------------------------------------------
		IDOK = new UnderlinedButtonInstr ("OK");
		m_Parent.add(IDOK);
		m_Layout.setShape(IDOK, 85, 78, 40, 9);

		IDC_STATIC1 = new Label ("To win you should not put the last pin in.", Label.LEFT);
		m_Parent.add(IDC_STATIC1);
		m_Layout.setShape(IDC_STATIC1, 38, 8, 200, 8);

		IDC_STATIC2 = new Label ("Move the marker with the keyboard arrows to the place", Label.LEFT);
		m_Parent.add(IDC_STATIC2);
		m_Layout.setShape(IDC_STATIC2, 10, 24, 200, 8);

		IDC_STATIC3 = new Label ("where you want the rod to be inserted. Use Shift+arrow", Label.LEFT);
		m_Parent.add(IDC_STATIC3);
		m_Layout.setShape(IDC_STATIC3, 10, 32, 200, 8);

		IDC_STATIC4 = new Label ("to go directly to a side. Push 1,2 or 3 to insert a rod of", Label.LEFT);
		m_Parent.add(IDC_STATIC4);
		m_Layout.setShape(IDC_STATIC4, 10, 40, 200, 8);

		IDC_STATIC5 = new Label ("that length. Short rods can be inserted from above.", Label.LEFT);
		m_Parent.add(IDC_STATIC5);
		m_Layout.setShape(IDC_STATIC5, 10, 48, 200, 8);

		IDC_STATIC6 = new Label ("Using the mouse you click on a rod then point where", Label.LEFT);
		m_Parent.add(IDC_STATIC6);
		m_Layout.setShape(IDC_STATIC6, 10, 60, 200, 8);

		IDC_STATIC7 = new Label ("you want to insert the rod.", Label.LEFT);
		m_Parent.add(IDC_STATIC7);
		m_Layout.setShape(IDC_STATIC7, 10, 68, 200, 8);


		m_fInitialized = true;
		return true;
	}
}
