import java.awt.*;
//import DialogLayout;


/* *****************************************************************************
*	Class:			UnderlinedButtonSet
*	Purpose:		Button with underlined shortcutLetter
*******************************************************************************/

class UnderlinedButtonSet extends Button  {
	
	public UnderlinedButtonSet(String text)  {
		super(text);
	}
	
	public void setLabel(String label)  {
		super.setLabel(label);
	}
	
	public void paint(Graphics g) {
		
		super.paint(g);
		if (this.isEnabled())  {
				g.setColor(Color.black);
				if (this.getLabel() == "OK")  		g.fillRect(29,17,12,1);
				if (this.getLabel() == "Cancel")  	g.fillRect(18,17,12,1);
		}
	}
}


/* *****************************************************************************
*	Class:			UnderlinedLabelSet
*	Purpose:		Label with underlined shortcutLetter
*******************************************************************************/

class UnderlinedLabelSet extends Label  {
	
	public UnderlinedLabelSet(String text,int alignment)  {
		super(text,alignment);
	}
		
	public void paint(Graphics g) {
		
		super.paint(g);
		if (this.isEnabled())  {
				g.setColor(Color.black);
				if (this.getText() == "Level (from 1 to 16)")  	g.fillRect(2,17,9,1);
		}
	}
}

/* *****************************************************************************
*	Class:			UnderlinedCheckboxSet
*	Purpose:		CheckBox with underlined shortcutLetter
*******************************************************************************/

class UnderlinedCheckboxSet extends Checkbox  {
	
	public UnderlinedCheckboxSet(String label,CheckboxGroup group,boolean state)  {
		super(label,group,state);
	}
		
	public void paint(Graphics g) {
		
		super.paint(g);
		if (this.isEnabled())  {
				g.setColor(Color.black);
				if (this.getLabel() == "Red")  		g.fillRect(16,19,12,1);
				if (this.getLabel() == "Blue") 		g.fillRect(16,19,12,1);
				if (this.getLabel() == "Me")  		g.fillRect(16,19,12,1);
				if (this.getLabel() == "Person")  	g.fillRect(16,19,12,1);
				if (this.getLabel() == "Yes")  		g.fillRect(16,19,11,1);
				if (this.getLabel() == "No")  		g.fillRect(16,19,12,1);

		}
	}
}


public class IDD_SETTINGS
{
	Container    m_Parent       = null;
	boolean      m_fInitialized = false;
	DialogLayout m_Layout;

	// Control definitions
	//--------------------------------------------------------------------------
	Button        IDOK;
	Button        IDCANCEL;
	Label         IDC_STATIC1;
	CheckboxGroup group1;
	Checkbox      IDC_RED;
	Checkbox      IDC_BLUE;
	Label         IDC_STATIC2;
	CheckboxGroup group2;
	Checkbox      IDC_COMPUTER;
	Checkbox      IDC_PERSON;
	Label         IDC_STATIC3;
	CheckboxGroup group3;
	Checkbox      IDC_YES;
	Checkbox      IDC_NO;
	Label         IDC_STATIC4;
	TextField     IDC_LEVEL;


	// Constructor
	//--------------------------------------------------------------------------
	public IDD_SETTINGS (Container parent)
	{
		m_Parent = parent;
	}

	// Initialization.
	//--------------------------------------------------------------------------
	public boolean CreateControls()
	{
		// Can only init controls once
		//----------------------------------------------------------------------
		if (m_fInitialized || m_Parent == null)
			return false;

		// Parent must be a derivation of the Container class
		//----------------------------------------------------------------------
		if (!(m_Parent instanceof Container))
			return false;

		// Since there is no way to know if a given font is supported from
		// platform to platform, we only change the size of the font, and not
		// type face name.  And, we only change the font if the dialog resource
		// specified a font.
		//----------------------------------------------------------------------
		Font OldFnt = m_Parent.getFont();
		
		if (OldFnt != null)
		{
			Font NewFnt = new Font(OldFnt.getName(), OldFnt.getStyle(), 16);

			m_Parent.setFont(NewFnt);
		}

		// All position and sizes are in Dialog Units, so, we use the
		// DialogLayout manager.
		//----------------------------------------------------------------------
		m_Layout = new DialogLayout(m_Parent, 153, 65);
		m_Parent.setLayout(m_Layout);
		m_Parent.addNotify();

		Dimension size   = m_Layout.getDialogSize();
		Insets    insets = m_Parent.insets();
		
		m_Parent.resize(insets.left + size.width  + insets.right,
                        insets.top  + size.height + insets.bottom);

		// Control creation
		//----------------------------------------------------------------------
		IDOK = new UnderlinedButtonSet ("OK");
		m_Parent.add(IDOK);
		m_Layout.setShape(IDOK, 96, 50, 36, 9);

		IDCANCEL = new UnderlinedButtonSet ("Cancel");
		m_Parent.add(IDCANCEL);
		m_Layout.setShape(IDCANCEL, 21, 50, 38, 9);

		IDC_STATIC1 = new Label ("Choose your color", Label.LEFT);
		m_Parent.add(IDC_STATIC1);
		m_Layout.setShape(IDC_STATIC1, 10, 5, 65, 8);

		group1 = new CheckboxGroup ();
		IDC_RED = new UnderlinedCheckboxSet ("Red", group1, false);
		m_Parent.add(IDC_RED);
		m_Layout.setShape(IDC_RED, 80, 5, 25, 10);

		IDC_BLUE = new UnderlinedCheckboxSet ("Blue", group1, false);
		m_Parent.add(IDC_BLUE);
		m_Layout.setShape(IDC_BLUE, 110, 5, 35, 10);

		IDC_STATIC2 = new Label ("Choose opponent", Label.LEFT);
		m_Parent.add(IDC_STATIC2);
		m_Layout.setShape(IDC_STATIC2, 10, 15, 65, 8);

		group2 = new CheckboxGroup ();
		IDC_COMPUTER = new UnderlinedCheckboxSet ("Me", group2, false);
		m_Parent.add(IDC_COMPUTER);
		m_Layout.setShape(IDC_COMPUTER, 80, 15, 25, 10);

		IDC_PERSON = new UnderlinedCheckboxSet ("Person", group2, false);
		m_Parent.add(IDC_PERSON);
		m_Layout.setShape(IDC_PERSON, 110, 15, 43, 10);

		IDC_STATIC3 = new Label ("Do you want to start", Label.LEFT);
		m_Parent.add(IDC_STATIC3);
		m_Layout.setShape(IDC_STATIC3, 10, 25, 65, 8);

		group3 = new CheckboxGroup ();
		IDC_YES = new UnderlinedCheckboxSet ("Yes", group3, false);
		m_Parent.add(IDC_YES);
		m_Layout.setShape(IDC_YES, 80, 25, 25, 10);

		IDC_NO = new UnderlinedCheckboxSet ("No", group3, false);
		m_Parent.add(IDC_NO);
		m_Layout.setShape(IDC_NO, 110, 25, 25, 10);

		IDC_STATIC4 = new UnderlinedLabelSet ("Level (from 1 to 16)", Label.LEFT);
		m_Parent.add(IDC_STATIC4);
		m_Layout.setShape(IDC_STATIC4, 10, 35, 65, 8);

		IDC_LEVEL = new TextField ("");
		m_Parent.add(IDC_LEVEL);
		m_Layout.setShape(IDC_LEVEL, 80, 35, 25, 10);

		m_fInitialized = true;
		return true;
	}
}
