import java.applet.*;
import java.awt.*;

/* *****************************************************************************
*	Class:			SetFrame
*	Purpose:		Wrapper class for settings dialog
*******************************************************************************/

public class SetFrame extends Frame		{

	private	IDD_SETTINGS	setDialog = null;
	private Euler			parent = null;

	// constructor
	public SetFrame(Applet inParent)  {

		super("Set Dialog");
		parent = (Euler) inParent;
		setFont( new Font ("Arial", Font.PLAIN, 12) );
		setDialog = new IDD_SETTINGS(this);
		setDialog.CreateControls();
		if ( parent.yourColor==Color.red )
			setDialog.IDC_RED.setState(true);
		else
			setDialog.IDC_BLUE.setState(true);
		if ( parent.start )
			setDialog.IDC_YES.setState(true);
		else
			setDialog.IDC_NO.setState(true);
		if ( parent.computer )
			setDialog.IDC_COMPUTER.setState(true);
		else
			setDialog.IDC_PERSON.setState(true);
		setDialog.IDC_LEVEL.setText(Integer.toString(parent.level));
		show();
		setDialog.IDC_STATIC4.requestFocus();
	}

	/* *************************************************************************
	*	Method:			SetFrame.onOK()
	*	Purpose:		what to do if OK
	***************************************************************************/

	public void onOK()  {

		if (  (setDialog.IDC_RED.getState() && setDialog.IDC_YES.getState()) ||
			 (!setDialog.IDC_RED.getState() && !setDialog.IDC_YES.getState())    )
			parent.startColor = Color.red;
		else
			parent.startColor = Color.blue;
		if ( setDialog.IDC_RED.getState() )
			parent.yourColor = Color.red;
		else
			parent.yourColor = Color.blue;
		parent.computer = setDialog.IDC_COMPUTER.getState();
		parent.start = setDialog.IDC_YES.getState();
		String	strLevel = setDialog.IDC_LEVEL.getText();
		parent.level = Integer.parseInt( strLevel );
		hide();
		parent.dlgActive = false ;
		parent.reset();
		parent.repaint();
		if ( parent.computer && !parent.start )
			parent.computerMove();			
		parent.requestFocus();
	}


	/* *************************************************************************
	*	Method:			SetFrame.keyDown()
	*	Purpose:		Handels user input
	***************************************************************************/

	public boolean keyDown( Event evt, int key)  {

		if ( key=='r' )  
			setDialog.IDC_RED.setState(true);		
		if ( key=='b' )  
			setDialog.IDC_BLUE.setState(true);
		if ( key=='m' )  
			setDialog.IDC_COMPUTER.setState(true);	
		if ( key=='p' )  
			setDialog.IDC_PERSON.setState(true);
		if ( key=='y' )  
			setDialog.IDC_YES.setState(true);
		if ( key=='n' )  
			setDialog.IDC_NO.setState(true);
		if ( key=='l' )  {
			setDialog.IDC_LEVEL.requestFocus();
			setDialog.IDC_LEVEL.setText("");
		}
		if ( key=='c' )  {			
			hide();		
			parent.dlgActive = false ;
			parent.requestFocus();
		}
		if ( key=='o' )  
			onOK();
		if ( !Character.isLetter( (char) key ) )
			return super.keyDown(evt,key);
		else
			return true;
	}

	/* *************************************************************************
	*	Method:			SetFrame.action()
	*	Purpose:		Handels button input
	***************************************************************************/


	public boolean action( Event evt, Object obj)  {

		if ( evt.target == setDialog.IDOK )  
			onOK();
		if ( evt.target == setDialog.IDCANCEL )  {
			hide();
			parent.dlgActive = false ;
			return true;
		}
		return false;
	}	// end action

}